Page MenuHomePhabricator

Making sure it's easy for volunteers to contribute to Apps.
Closed, ResolvedPublic

Description

Etherpad: http://etherpad.wikimedia.org/p/DevelopingMobileApps

[WIP] -- this can apply to both the Android and iOS apps:

Even though we have README files in our code repository and pages on Meta Wiki related to onboarding of volunteer contributors, there's plenty of room for improvement in the resources that we offer for potential volunteer contributors. (This is evidenced by the scarcity of volunteer contributions that we've had over the last year)

We need to have a thorough audit of our onboarding articles and READMEs, and perhaps ask for volunteers to try setting up a development environment (based on our documentation), and see where any difficulties lie.

Event Timeline

Dbrant created this task.Jan 14 2015, 4:58 AM
Dbrant raised the priority of this task from to Medium.
Dbrant updated the task description. (Show Details)
Dbrant added a subscriber: Dbrant.
bearND added a subscriber: bearND.Jan 14 2015, 4:59 AM
Qgil added a subscriber: Qgil.Jan 14 2015, 10:24 AM

Please confirm whether you want to run this session at MediaWiki-Developer-Summit-2015 by placing this task in the most appropriate column at the workboard and scheduling it at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule

Qgil raised the priority of this task from Medium to High.Jan 23 2015, 3:56 PM

Ping! You need to either schedule this session at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule or close this task, unless you really want to propoise a last minute improvised session.

Deskana updated the task description. (Show Details)Jan 26 2015, 5:15 PM
Deskana set Security to None.
Qgil added a comment.Jan 27 2015, 7:05 AM

Please update the description with the achievements of this session. Thank you in advance.

Thanks for presenting your session. Please add links to slides or other materials to the task description. Can you add a comment with

  • approximate number of participants
  • any Phabricator tasks resulting from your session (I see T87628 in the Etherpad)
  • any other achievements
Qgil closed this task as Resolved.Apr 30 2015, 10:41 AM
Qgil claimed this task.